Debian Bug report logs - #499030
debian-installer: [s390] installer fails to boot 'attempt to kill init'

version graph

Package: rootskel; Maintainer for rootskel is Debian Install System Team <debian-boot@lists.debian.org>; Source for rootskel is src:rootskel.

Reported by: Frans Pop <elendil@planet.nl>

Date: Mon, 15 Sep 2008 18:48:01 UTC

Severity: serious

Found in version rootskel/1.68

Fixed in version rootskel/1.69

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Mon, 15 Sep 2008 19:08:15 +0200
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: serious

I just tried a daily image for s390 in the Hercules emulator, but the 
installer fails to boot with
   kernel panic - not syncing: Attempted to kill init

I can see that udevd starts OK, but the following command fails:
   exec /sbin/reopen-console /bin/busybox init

I know that Jérémy uploaded a changed version of rootskel yesterday, so 
this needs re-testing with that, but I wanted to register the issue 
anyway.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package debian-installer. (Fri, 19 Sep 2008 14:06:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Sep 2008 14:06:24 GMT) Full text and rfc822 format available.

Message #10 received at 499030@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Fri, 19 Sep 2008 15:42:55 +0200
On Monday 15 September 2008, Frans Pop wrote:
> I know that Jérémy uploaded a changed version of rootskel yesterday, so
> this needs re-testing with that, but I wanted to register the issue
> anyway.

With the new rootskel I get an endless repetition of:
steal-ctty: No such file or directory




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package debian-installer. (Fri, 19 Sep 2008 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Sep 2008 14:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 499030@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Fri, 19 Sep 2008 16:11:12 +0200
reassign 499030 rootskel 1.68
thanks

On Friday 19 September 2008, Frans Pop wrote:
> With the new rootskel I get an endless repetition of:
> steal-ctty: No such file or directory

Running with set-x gives a bit more info:
+   -f /var/run/console-device !
+ cat /var/run/console-device
+ exec /sbin/steal-ctty /dev/ttyS0 /sbin/debian-installer
steal-ctty: No such file or directory

This repeats endlessly. Note that the first line is mangled a bit because 
of the "!" in the if statement.

There seem to be various issues:
- trying /dev/ttyS0 is just plain wrong for s/390: /dev/ttyS0 does not
  exist, which explains the error from steal-ccty
- steal-ctty's error message should include the name of the file that does
  not exist
- the program should not end in a loop

If I remove the calls to reopen-console in the inittab the installer 
starts correctly. Note that the installer also worked correctly on s/390 
when cttyhack was being used.




Bug reassigned from package `debian-installer' to `rootskel'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 19 Sep 2008 14:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package rootskel. (Fri, 19 Sep 2008 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Sep 2008 16:15:06 GMT) Full text and rfc822 format available.

Message #22 received at 499030@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Fri, 19 Sep 2008 18:12:51 +0200
On Friday 19 September 2008, Frans Pop wrote:
> There seem to be various issues:
> - trying /dev/ttyS0 is just plain wrong for s/390: /dev/ttyS0 does not
>   exist, which explains the error from steal-ccty

Reason ttyS0 is tried is that dmesg does mention it:
    console [ttyS0] enabled

But udev does not create a device for it. The only remotely related 
devices are /dev/sclp_line0 and /dev/ttysclp0.

As the installer should just be using /dev/console in my case, the 
solution seems to be to add a check that the console device actually 
exists in reopen-console (and probably log a warning if it does not).

> - the program should not end in a loop

This is probably unavoidable as it is just the "respawn" that keeps 
failing:
+ cat /var/run/console-device
+ exec /sbin/steal-ctty /dev/ttyS0 /sbin/debian-installer-startup
steal-ctty: No such file or directory
+   -f /var/run/console-device !
+ cat /var/run/console-device
+ exec /sbin/steal-ctty /dev/ttyS0 /sbin/debian-installer
steal-ctty: No such file or directory
+   -f /var/run/console-device !
+ cat /var/run/console-device
+ exec /sbin/steal-ctty /dev/ttyS0 /sbin/debian-installer
steal-ctty: No such file or directory




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package rootskel. (Fri, 19 Sep 2008 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Sep 2008 17:36:05 GMT) Full text and rfc822 format available.

Message #27 received at 499030@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Fri, 19 Sep 2008 19:35:08 +0200
tags 499030 pending
thanks

On Friday 19 September 2008, Frans Pop wrote:
> As the installer should just be using /dev/console in my case, the
> solution seems to be to add a check that the console device actually
> exists in reopen-console (and probably log a warning if it does not).

I've committed a patch for this. Without logging of devices that get 
ignored as syslogd is not yet running at that point.

Jérémy: could you have a look at the patch and upload if OK?




Tags added: pending Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 19 Sep 2008 17:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package rootskel. (Sat, 20 Sep 2008 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Sep 2008 12:51:06 GMT) Full text and rfc822 format available.

Message #34 received at 499030@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Sat, 20 Sep 2008 01:30:38 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 19, 2008 at 04:11:12PM +0200, Frans Pop wrote:
> On Friday 19 September 2008, Frans Pop wrote:
> > With the new rootskel I get an endless repetition of:
> > steal-ctty: No such file or directory
> 
> Running with set-x gives a bit more info:
> +   -f /var/run/console-device !
> + cat /var/run/console-device
> + exec /sbin/steal-ctty /dev/ttyS0 /sbin/debian-installer
> steal-ctty: No such file or directory
> 
> This repeats endlessly. Note that the first line is mangled a bit because 
> of the "!" in the if statement.

reopen-console is writing in /var/run/console-device the console that
was found in the first run, so the result would be more meaningful if
the "set -x" was add by using BOOT_DEBUG=3 and then running something
like "/sbin/reopen-console echo" manually.

> There seem to be various issues:
> - trying /dev/ttyS0 is just plain wrong for s/390: /dev/ttyS0 does not
>   exist, which explains the error from steal-ccty

Indeed.  Could you look at kernel messages for anything related to the
console?  Using "dmesg -s 65535 | grep console" should probably do the
trick.

I might have misunderstood the meaning of the "console handover" line
and that's probably where the /dev/ttyS0 line came from, as
reopen-console defaults to /dev/console if no console can be found.

> - steal-ctty's error message should include the name of the file that does
>   not exist

True.

> - the program should not end in a loop

The loop is caused by init trying, as told in inittab, to respawn the
process.  It don't really feel like an issue for me, because this should
not happen.  What could be done is a final check in reopen-console for
the existence of the device file, though…

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#499030; Package rootskel. (Sat, 20 Sep 2008 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Sep 2008 18:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 499030@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 499030@bugs.debian.org
Subject: Re: Bug#499030: debian-installer: [s390] installer fails to boot 'attempt to kill init'
Date: Sat, 20 Sep 2008 20:32:36 +0200
Hi Jérémy,

On Saturday 20 September 2008, Jérémy Bobbio wrote:
[...]
> Indeed.  Could you look at kernel messages for anything related to the
> console?  Using "dmesg -s 65535 | grep console" should probably do the
> trick.
[...]

Looks like you did not read my other messages related to this BR.
Please read those and check the patch I committed.

Cheers,
FJP




Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Sun, 21 Sep 2008 09:51:21 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Sun, 21 Sep 2008 09:51:22 GMT) Full text and rfc822 format available.

Message #44 received at 499030-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 499030-close@bugs.debian.org
Subject: Bug#499030: fixed in rootskel 1.69
Date: Sun, 21 Sep 2008 09:02:24 +0000
Source: rootskel
Source-Version: 1.69

We believe that the bug you reported is fixed in the latest version of
rootskel, which is due to be installed in the Debian FTP archive:

rootskel-bootfloppy_1.69_i386.udeb
  to pool/main/r/rootskel/rootskel-bootfloppy_1.69_i386.udeb
rootskel_1.69.dsc
  to pool/main/r/rootskel/rootskel_1.69.dsc
rootskel_1.69.tar.gz
  to pool/main/r/rootskel/rootskel_1.69.tar.gz
rootskel_1.69_i386.udeb
  to pool/main/r/rootskel/rootskel_1.69_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated rootskel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Sep 2008 08:33:47 +0000
Source: rootskel
Binary: rootskel rootskel-bootfloppy
Architecture: source i386
Version: 1.69
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 rootskel   - Skeleton root filesystem used by debian-installer (udeb)
 rootskel-bootfloppy - Skeleton root filesystem used by debian-installer boot floppy (udeb)
Closes: 499030
Changes: 
 rootskel (1.69) unstable; urgency=low
 .
   [ Frans Pop ]
   * reopen-console: ignore consoles found in boot messages for which no
     device file exists. Closes: #499030.
Checksums-Sha1: 
 62e9303741c87e37fd5712a66ada0a0d8711d9af 938 rootskel_1.69.dsc
 2c23f30907869c5b117bae2c48b84b6dfd6e4ac6 30806 rootskel_1.69.tar.gz
 5852f0ce47ccccc07b379aff5bba85fad0ba3a57 7798 rootskel_1.69_i386.udeb
 751e55bbe0c5266675c7b95ab41ef94ac436b9f1 2716 rootskel-bootfloppy_1.69_i386.udeb
Checksums-Sha256: 
 7e7245d3dc06e35eacfeeb787faea6a617b79924bc0f0d4ea17091f6dbe10052 938 rootskel_1.69.dsc
 0fc43fd01b424852177bd5db917e4738a1fb41e7253fad23a759e6854ffd413d 30806 rootskel_1.69.tar.gz
 c922d4785f0b644dd1771272256e0200500dc79bfe2dd992b289304d4d3b1232 7798 rootskel_1.69_i386.udeb
 42fad68ac99498397b6e82005dfbaa109445027b9b3c7cf779dee9acb1c0cf69 2716 rootskel-bootfloppy_1.69_i386.udeb
Files: 
 0bd4480499921bf5b4b4f05b5cfd6f56 938 debian-installer standard rootskel_1.69.dsc
 b51d33748443647f54775c832bea1a3e 30806 debian-installer standard rootskel_1.69.tar.gz
 a451d81cb6ff7e77af77c425c2658946 7798 debian-installer standard rootskel_1.69_i386.udeb
 6f19e0afc45ee16695563d345dcdb7e3 2716 debian-installer extra rootskel-bootfloppy_1.69_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFI1ggC2PUjs9fQ72URAvf1AJ9Tt78EHz8b09nn5t2WHChbBzYyrgCeOiJt
hPJ43j/4AA0o8kjrHtRZUMc=
=mrOu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:50:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:20:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.